Index: linuxkernel/linux-2.6.16-mcemu/.config.RCK
===================================================================
--- linuxkernel/linux-2.6.16-mcemu/.config.RCK	(revision 76)
+++ linuxkernel/linux-2.6.16-mcemu/.config.RCK	(working copy)
@@ -501,8 +501,14 @@
 #
 # Serial drivers
 #
-# CONFIG_SERIAL_8250 is not set
+CONFIG_SERIAL_8250=y
+CONFIG_SERIAL_8250_CONSOLE=y
+# CONFIG_SERIAL_8250_ACPI is not set
+CONFIG_SERIAL_8250_NR_UARTS=4
+# CONFIG_SERIAL_8250_EXTENDED is not set
+CONFIG_SERIAL_8250_RUNTIME_UARTS=4
 
+
 #
 # Non-8250 serial port support
 #
Index: linuxkernel/linux-2.6.16-mcemu/include/asm-i386/serial.h
===================================================================
--- linuxkernel/linux-2.6.16-mcemu/include/asm-i386/serial.h	(revision 76)
+++ linuxkernel/linux-2.6.16-mcemu/include/asm-i386/serial.h	(working copy)
@@ -22,9 +22,18 @@
 #define STD_COM4_FLAGS ASYNC_BOOT_AUTOCONF
 #endif
 
+#ifdef CONFIG_X86_MCEMU
 #define SERIAL_PORT_DFNS			\
 	/* UART CLK   PORT IRQ     FLAGS        */			\
+	{ 0, BASE_BAUD, 0x3F8, 0, STD_COM_FLAGS },	/* ttyS0 */	\
+	{ 0, BASE_BAUD, 0x2F8, 0, STD_COM_FLAGS },	/* ttyS1 */	\
+	{ 0, BASE_BAUD, 0x3E8, 0, STD_COM_FLAGS },	/* ttyS2 */	\
+	{ 0, BASE_BAUD, 0x2E8, 0, STD_COM4_FLAGS },	/* ttyS3 */
+#else
+#define SERIAL_PORT_DFNS			\
+	/* UART CLK   PORT IRQ     FLAGS        */			\
 	{ 0, BASE_BAUD, 0x3F8, 4, STD_COM_FLAGS },	/* ttyS0 */	\
 	{ 0, BASE_BAUD, 0x2F8, 3, STD_COM_FLAGS },	/* ttyS1 */	\
 	{ 0, BASE_BAUD, 0x3E8, 4, STD_COM_FLAGS },	/* ttyS2 */	\
 	{ 0, BASE_BAUD, 0x2E8, 3, STD_COM4_FLAGS },	/* ttyS3 */
+#endif
